Bug 2955 - Don't update lib64wxgtku2.8-2.8.12-7-rosa2012.1.x86_64
: Don't update lib64wxgtku2.8-2.8.12-7-rosa2012.1.x86_64
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: x86_64 Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-19 23:51 MSD by Postnikov Dmitry
Modified: 2013-11-26 11:50 MSK (History)
2 users (show)

See Also:
RPM Package: lib64wxgtku2.8-2.8.12-7-rosa2012.1.x86_64
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Postnikov Dmitry 2013-10-19 23:51:47 MSD
Description of problem:
Don't update lib64wxgtku2.8-2.8.12-7-rosa2012.1.x86_64

=============
[root@mindlife pastordi]# urpmi lib64wxgtku2.8-2.8.12
Пакеты glibc-2.15-8-rosa2012.1.x86_64, lib64tiff5-4.0.3-3-rosa2012.1.x86_64, lib64z1-1.2.8-1-rosa2012.1.x86_64, lib64gdk_pixbuf2.0_0-2.28.2-1-rosa2012.1.x86_64, lib64gstreamer-plugins-base0.10-0.10.36-2-rosa2012.1.x86_64, lib64pango1.0_0-1.34.1-1-rosa2012.1.x86_64, lib64gcc1-4.7.3_2012.10-3.1-rosa2012.1.x86_64, lib64stdc++6-4.7.3_2012.10-3.1-rosa2012.1.x86_64, lib64x11_6-1.6.1-1-rosa2012.1.x86_64, lib64gtk+2.0_0-2.24.20-1-rosa2012.1.x86_64, lib64xxf86vm1-1.1.3-2-rosa2012.1.x86_64, lib64jpeg8-1.3.0-6-rosa2012.1.x86_64, lib64png15-1.5.17-1-rosa2012.1.x86_64, lib64expat1-2.1.0-2-rosa2012.1.x86_64, lib64gstreamer0.10_0-0.10.36-4-rosa2012.1.x86_64, lib64sm6-1.2.1-1-rosa2012.1.x86_64, lib64gobject2.0_0-2.36.3-3-rosa2012.1.x86_64 уже установлен
Не удаётся установить запрошенный пакет:
lib64wxgtku2.8-2.8.12-7-rosa2012.1.x86_64 (из-за неудовлетворённости wxgtk2.8-2.8.12-7-rosa2012.1.x86_64)
Продолжить установку? (Y/n) n
Хоть часть пакетов и могла быть установлена, произошли ошибки.
Не удаётся установить запрошенный пакет:
lib64wxgtku2.8-2.8.12-7-rosa2012.1.x86_64 (из-за неудовлетворённости wxgtk2.8-2.8.12-7-rosa2012.1.x86_64)
[root@mindlife pastordi]# 
[root@mindlife pastordi]# rpm -qa | grep wxgtk2.8
[root@mindlife pastordi]# 
[root@mindlife pastordi]# rpm -qa | grep lib64wxgtku2.8
[root@mindlife pastordi]# 
[root@mindlife pastordi]# urpmf -mlf lib64wxgtku2.8
lib64wxgtku2.8-2.8.12-7-rosa2012.1.x86_64:main
lib64wxgtku2.8-devel-2.8.12-7-rosa2012.1.x86_64:main
lib64wxgtku2.8-devel-2.8.12-8-rosa2012.1.x86_64:main updates
[root@mindlife pastordi]# 
[root@mindlife pastordi]# urpmf -mlf wxgtku2.8
lib64wxgtku2.8-2.8.12-7-rosa2012.1.x86_64:main
lib64wxgtku2.8-devel-2.8.12-7-rosa2012.1.x86_64:main
lib64wxgtku2.8-devel-2.8.12-8-rosa2012.1.x86_64:main updates
libwxgtku2.8-2.8.12-7-rosa2012.1.i586:Main32
libwxgtku2.8-devel-2.8.12-7-rosa2012.1.i586:Main32
libwxgtku2.8-devel-2.8.12-8-rosa2012.1.i586:Main32 Updates
libwxgtku2.8-2.8.12-7-rosa2012.1.i586:main32
libwxgtku2.8-devel-2.8.12-7-rosa2012.1.i586:main32
libwxgtku2.8-devel-2.8.12-8-rosa2012.1.i586:main32_updates
[root@mindlife pastordi]#
=============
Comment 1 Postnikov Dmitry 2013-10-19 23:53:23 MSD
==========
[root@mindlife pastordi]# urpmi --auto-update
источник «main» уже обновлён
источник «main updates» уже обновлён
источник «Main32» уже обновлён
источник «Main32 Updates» уже обновлён
источник «contrib» уже обновлён
источник «contrib updates» уже обновлён
источник «non-free» уже обновлён
источник «non-free updates» уже обновлён
источник «Non-free32» уже обновлён
источник «Non-free32 Updates» уже обновлён
источник «restricted» уже обновлён
источник «restricted updates» уже обновлён
источник «Restricted32» уже обновлён
источник «Restricted32 Updates» уже обновлён
источник «main32» уже обновлён
источник «main32_updates» уже обновлён
источник «non-free32» уже обновлён
источник «non-free32_updates» уже обновлён
источник «kde4.11.2» уже обновлён
источник «python2.7.5» уже обновлён
Пакеты python-lxml-3.2.1-2-rosa2012.1.x86_64, lib64qttest4-4.8.5-6-rosa2012.1.x86_64, python-beautifulsoup-3.2.1-1-rosa2012.1.noarch, lib64gstreamer-plugins-base0.10-0.10.36-2-rosa2012.1.x86_64, lib64pango1.0_0-1.34.1-1-rosa2012.1.x86_64, lib64xext6-1.3.2-2-rosa2012.1.x86_64, lib64x11_6-1.6.1-1-rosa2012.1.x86_64, lib64qtwebkit4-4.8.5-6-rosa2012.1.x86_64, lib64icudata49-49.1.1-2-rosa2012.1.x86_64, udev-194-26-rosa2012.1.x86_64, lib64speex1-1.2-0.rc1.7-rosa2012.1.x86_64, lib64qthelp4-4.8.5-6-rosa2012.1.x86_64, lib64apr1-1.4.6-1-rosa2012.1.x86_64, lib64usbx1.0_0-1.0.15-1-rosa2012.1.x86_64, poppler-0.22.2-1-rosa2012.1.x86_64, lib64expat1-2.1.0-2-rosa2012.1.x86_64, lib64qtopengl4-4.8.5-6-rosa2012.1.x86_64, lib64sm6-1.2.1-1-rosa2012.1.x86_64, python-vtk-5.8.0-4-rosa2012.1.x86_64, lib64avcodec55-2.0.1-2plf-plf2012.1.x86_64, lib64icuio49-49.1.1-2-rosa2012.1.x86_64, python-qt4-help-4.9.6-1-rosa2012.1.x86_64, glibc-2.15-8-rosa2012.1.x86_64, lib64xinerama1-1.1.3-4-rosa2012.1.x86_64, python-genshi-0.7-1-rosa2012.1.x86_64, python-netifaces-0.6-1-rosa2012.1.x86_64, lib64qtdbus4-4.8.5-6-rosa2012.1.x86_64, lib64cairo2-1.12.16-1-rosa2012.1.x86_64, lib64z1-1.2.8-1-rosa2012.1.x86_64, lib64stdc++6-4.7.3_2012.10-3.1-rosa2012.1.x86_64, lib64pulseaudio0-3.0-6-rosa2012.1.x86_64, lib64qtcore4-4.8.5-6-rosa2012.1.x86_64, lib64fontconfig1-2.10.93-2plf-plf2012.1.x86_64, python-qt4-4.9.6-1-rosa2012.1.x86_64, lib64qtscripttools4-4.8.5-6-rosa2012.1.x86_64, lib64gstreamer0.10_0-0.10.36-4-rosa2012.1.x86_64, update-alternatives-1.17.1-2-rosa2012.1.x86_64, lib64python2.7-2.7.5-3-rosa2012.1.x86_64, python-cssutils-0.9.10-1-rosa2012.1.noarch, python-pypdf-1.13-2-rosa2012.1.noarch, lib64icui18n49-49.1.1-2-rosa2012.1.x86_64, python-dnspython-1.9.4-1-rosa2012.1.noarch, lib64icuuc49-49.1.1-2-rosa2012.1.x86_64, lib64qtsvg4-4.8.5-6-rosa2012.1.x86_64, lib64xft2-2.3.1-2-rosa2012.1.x86_64, lib64xxf86vm1-1.1.3-2-rosa2012.1.x86_64, lib64qtdeclarative4-4.8.5-6-rosa2012.1.x86_64, lib64png15-1.5.17-1-rosa2012.1.x86_64, lib64gtk+3_0-3.8.2-1-rosa2012.1.x86_64, lib64qtxml4-4.8.5-6-rosa2012.1.x86_64, lib64gobject2.0_0-2.36.3-3-rosa2012.1.x86_64, lib64phonon4-4.6.0-3-rosa2012.1.x86_64, python-numpy-1.7.1-1-rosa2012.1.x86_64, python-imaging-1.1.7-8-rosa2012.1.x86_64, imagemagick-6.7.7.0-2-rosa2012.1.x86_64, lib64qtscript4-4.8.5-6-rosa2012.1.x86_64, python-dateutil-1.5-4-rosa2012.1.noarch, lib64tiff5-4.0.3-3-rosa2012.1.x86_64, lib64gdk_pixbuf2.0_0-2.28.2-1-rosa2012.1.x86_64, lib64qtmultimedia4-4.8.5-6-rosa2012.1.x86_64, tkinter-2.7.5-3-rosa2012.1.x86_64, lib64gcc1-4.7.3_2012.10-3.1-rosa2012.1.x86_64, fonts-ttf-liberation-1.05.2-7-rosa2012.1.noarch, lib64gtk+2.0_0-2.24.20-1-rosa2012.1.x86_64, lib64qtnetwork4-4.8.5-6-rosa2012.1.x86_64, lib64qtxmlpatterns4-4.8.5-6-rosa2012.1.x86_64, lib64glib2.0_0-2.36.3-3-rosa2012.1.x86_64, python-django-tagging-0.3.1-2-rosa2012.1.noarch, lib64qtgui4-4.8.5-6-rosa2012.1.x86_64, lib64jpeg8-1.3.0-6-rosa2012.1.x86_64, lib64samplerate0-0.1.8-3-rosa2012.1.x86_64, python-odf-0.9.6-1-rosa2012.1.noarch, lib64podofo0.9.1-0.9.2-1-rosa2012.1.x86_64, lib64mtp9-1.1.6-1-rosa2012.1.x86_64, lib64freetype6-2.4.12-1plf-plf2012.1.x86_64, python-mechanize-0.2.5-3-rosa2012.1.noarch, lib64openal1-1.15.1-3-rosa2012.1.x86_64, lib64chm0-0.40-7-rosa2012.1.x86_64, python-2.7.5-3-rosa2012.1.x86_64, python-configobj-4.7.2-5-rosa2012.1.noarch, python-cssselect-0.6.1-1-rosa2012.1.noarch, lib64qtsql4-4.8.5-6-rosa2012.1.x86_64, lib64magick5-6.7.7.0-2-rosa2012.1.x86_64, python-cherrypy-3.2.4-1-rosa2012.1.noarch уже установлен
Не удаётся установить запрошенный пакет:
lib64wxgtku2.8-2.8.12-7-rosa2012.1.x86_64 (из-за неудовлетворённости wxgtk2.8-2.8.12-7-rosa2012.1.x86_64)
Продолжить установку? (Y/n)
===============
Comment 2 Denis Silakov 2013-10-22 10:01:17 MSD
*** Bug 2963 has been marked as a duplicate of this bug. ***
Comment 3 Denis Silakov 2013-10-22 14:12:35 MSD
Please try the latest urpmi (6.71-41). It is already available in abf repositories.
Comment 4 Denis Silakov 2013-10-22 14:15:48 MSD
... and note that you should not install lib64wxgtku2.8-2.8.12 directly; wxgtk was splitted into everal different lib packages in the latest updates, so there is no new version of "lib64wxgtku2.8-2.8.12" package. Instead, we have lib64wx_base2.8_0, lib64wx_gtk2su_core2.8_0, etc.

So pleasy check how "urpmi --auto-update" works with the latest urpmi.
Comment 5 Denis Silakov 2013-11-26 11:50:01 MSK
We believe that issues with wxgtk updates are fixed in modern urpmi.

And remember that generally you should not update library packages directly; if you do so, you should remember that some libraries were renemaed in newer versions of packages and packages with old names will fail to install.